import type * as React from "react";
import type { WebAuthnOptionsResponse } from "./server.js";
export * from "@simplewebauthn/browser";
export { WebAuthnOptionsResponse };
export declare let nanoid: (t?: number) => string;
export declare function handleFormSubmit(options: WebAuthnOptionsResponse, config?: {
    /** Generate an unique user ID when registering new users */
    generateUserId?: () => string;
    /**
     * Specify the preference regarding attestation conveyance during credential generation.
     * @link https://www.w3.org/TR/webauthn-2/#enumdef-attestationconveyancepreference
     */
    attestationType?: AttestationConveyancePreference;
}): (event: React.FormEvent<HTMLFormElement>) => Promise<boolean | undefined>;
